Zum Hauptinhalt springen

Cancel the TariffChange for the referred ContractItem

DELETE/v2/contracts/{contractId}/items/{contractItemId}/tariff-change/
API version
v2
Request method
DELETE
Operation ID
contract-cancel-contract-tariff-change

Request

  • contractIdstring
    required
  • contractItemIdstring (uuid)
    required

    The uuid of the active ContractItem (not the one that would replace the old one after the TariffChange) for which the TariffChange is to be cancelled. Only works for ContractItems for which a TariffChange is stored.

    Beispiel:"f6bb2d44-e6be-46dc-96f7-9602a7177a75"

Responses

Format
application/json
Beschreibung

Returns the contractId of the Contract whose TariffChange was cancelled.

  • contractIdstring (uuid)
  • contractItemIdstring (uuid)
  • isCancelledboolean

Usage examples

$ curl \
--fail \
--location \
-X DELETE \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/contracts/string/items/f0f86186-0a5a-45b2-aa33-502777496347/tariff-change